NE_GET_ERROR(3)

NAME
ne_get_error, ne_set_error - error handling for HTTP sessions

SYNOPSIS
#include <ne_session.h>

const char *ne_get_error (ne_sesssion *session);

void ne_set_error (ne_sesssion *session, const char *format, ...);

DESCRIPTION

The session error string is used to store any human-readable error information associated with any errors which occur whilst using the HTTP session.

The ne_get_error function returns the current session error string. This string persists only until it is changed by a subsequent operation on the session.

The ne_set_error function can be used to set a new session error string, using a printf-style format string interface.

EXAMPLES

Retrieve the current error string:
ne_session *sess = ne_session_create(...);
...
printf("Error was: %s\n", ne_get_error(sess));

Set a new error string:
ne_session *sess = ne_session_create(...);
...
ne_set_error(sess, "Response missing header %s", "somestring");

AUTHOR
Joe Orton <neon@webdav.org>.